Octofuss - Segnalazione #630

Esecuzione hooks creazione utente - accesso ad internet
10/06/2018 10:24 AM - Marco Marinello

Status: Risolto Start date: 10/06/2018
Priority: Normale Due date:

Assignee: Paolo Dongilli % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
Aggiunta di un pulsante che permetta di avviare octofuss-client direttamente dalla ui di octonet.

Associated revisions

Revision 241294 - 11/09/2018 03:07 PM - Marco Marinello

Update services for debian 8. refs #630

Revision 5594125 - 11/09/2018 03:48 PM - Marco Marinello

Restore services part as in octofuss gtk. refs #630

Revision 7939c6ac - 11/09/2018 06:12 PM - Marco Marinello
Add the flush group caches support refs #630

Revision 14a516f0 - 11/09/2018 06:49 PM - Marco Marinello
Add index and privileges flush part. refs #630

Revision 2577eef5 - 11/09/2018 06:50 PM - Marco Marinello
Move if after flush privileges part refs #630

Revision e6e961c9 - 11/09/2018 10:58 PM - Marco Marinello

Remove flush groups caches part as far as it will be done by octofuss-client. refs #630

Revision 5b8055d9 - 11/09/2018 11:02 PM - Marco Marinello

Back to services list only. refs #630

Revision 7e8ee787 - 11/09/2018 11:11 PM - Marco Marinello

Remove unused hooks module refs #630

Revision 8f91de64 - 11/09/2018 11:12 PM - Marco Marinello
Update changelog refs #630

Revision 6d00872f - 11/09/2018 11:14 PM - Marco Marinello
Update changelog refs #630

Revision 7dc58114 - 11/09/2018 11:17 PM - Marco Marinello

Invalidate group caches every 5 minutes. refs #630

Revision d57a98a4 - 11/09/2018 11:22 PM - Marco Marinello
Update changelog refs #630
History

#1 - 10/31/2018 07:20 PM - Marco Marinello

- Assignee changed from Marco Marinello to Paolo Dongilli

Al corso con Simone Piccardi si & parlato dell'invalidazione delle cache di nscd. Riassegno in attesa di decisioni.

#2 - 10/31/2018 08:08 PM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Marco Marinello

Riprendendo quanto indicato nelle note

https://work.fuss.bz.it/issues/402#note-10
https://work.fuss.bz.it/issues/402#note-11

della issue #402

dopo la creazione di un'utenza in OctoNet, per permettere a questa di accedere immediatamente ad internet, non & sufficiente rilanciare
octofuss-client --dryrun per forzare la propagazione dei permessi ma & necessario invalidare pure la cache della tabella group con il comando nscd.

Riepilogando i comandi da eseguire sono:
octofuss-client —--dryrun

nscd —-i group
pkill ext_unix_group_acl

#3 - 11/01/2018 11:13 AM - Marco Marinello

- Subject changed from Esecuzione di octofuss-client via ui to Esecuzione hooks creazione utente - accesso ad internet

#4 - 11/01/2018 03:13 PM - Marco Marinello

Da farsi con bottone separato

#5 - 11/09/2018 03:08 PM - Marco Marinello

- Status changed from Nuovo to In elaborazione

#6 - 11/09/2018 11:54 PM - Marco Marinello

- Status changed from In elaborazione to Commenti
Non & possibile eseguire octofuss-client da una richiesta octofussd perché questo va a querare octofussd che non pud rispondere a piu di una
richiesta per volta.

Ho messo nel servizio di octofuss-client eseguito ogni 5 minuti di eseguire i comandi di cui sopra. Ho anche ripristinato in octonet la sezione "servizi"
della quale non era stato fatto il porting da octofuss-gtk.

Pacchetti da rebuildare: octofuss-client (v. 9.0.4-1, sia per stretch che per jessie), octonet (v. 0.2.42-1, solo jessie), octofussd (v. 8.0.41-1, solo jessie)
#7 - 11/10/2018 10:53 AM - Marco Marinello

- Assignee changed from Marco Marinello to Paolo Dongilli

#8 - 11/10/2018 10:54 AM - Marco Marinello

Ora octofuss-client invalida le cache quando aggiorna i gruppi
#9 - 11/27/2018 01:01 AM - Paolo Dongilli

- Status changed from Commenti to Risolto

- % Done changed from 0 to 100
